CVE-2019-4558

A security vulnerability has been identified in all levels of IBM Spectrum Scale V5.0.0.0 through V5.0.3.2 and IBM Spectrum Scale V4.2.0.0 through V4.2.3.17 that could allow a local attacker to obtain root privilege by injecting parameters into setuid files.

Published : 2019-10-09 16:15 Updated : 2019-10-11 14:01

7.2
CVSS Score More info
Score 7.2 / 10
7.2
Vendor Product Version URI
Ibm Spectrum Scale 4.2.0.0 cpe:/a:ibm:spectrum_scale:4.2.0.0
Ibm Spectrum Scale 4.2.0.1 cpe:/a:ibm:spectrum_scale:4.2.0.1
Ibm Spectrum Scale 4.2.0.2 cpe:/a:ibm:spectrum_scale:4.2.0.2
Ibm Spectrum Scale 4.2.0.3 cpe:/a:ibm:spectrum_scale:4.2.0.3
Ibm Spectrum Scale 4.2.0.4 cpe:/a:ibm:spectrum_scale:4.2.0.4
Ibm Spectrum Scale 4.2.1 cpe:/a:ibm:spectrum_scale:4.2.1
Ibm Spectrum Scale 4.2.2.0 cpe:/a:ibm:spectrum_scale:4.2.2.0
Ibm Spectrum Scale 4.2.3.0 cpe:/a:ibm:spectrum_scale:4.2.3.0
Ibm Spectrum Scale 4.2.3.1 cpe:/a:ibm:spectrum_scale:4.2.3.1
Ibm Spectrum Scale 4.2.3.2 cpe:/a:ibm:spectrum_scale:4.2.3.2
Ibm Spectrum Scale 4.2.3.3 cpe:/a:ibm:spectrum_scale:4.2.3.3
Ibm Spectrum Scale 4.2.3.4 cpe:/a:ibm:spectrum_scale:4.2.3.4
Ibm Spectrum Scale 4.2.3.5 cpe:/a:ibm:spectrum_scale:4.2.3.5
Ibm Spectrum Scale 4.2.3.6 cpe:/a:ibm:spectrum_scale:4.2.3.6
Ibm Spectrum Scale 4.2.3.7 cpe:/a:ibm:spectrum_scale:4.2.3.7
Ibm Spectrum Scale 4.2.3.8 cpe:/a:ibm:spectrum_scale:4.2.3.8
Ibm Spectrum Scale 4.2.3.9 cpe:/a:ibm:spectrum_scale:4.2.3.9
Ibm Spectrum Scale 4.2.3.10 cpe:/a:ibm:spectrum_scale:4.2.3.10
Ibm Spectrum Scale 4.2.3.11 cpe:/a:ibm:spectrum_scale:4.2.3.11
Ibm Spectrum Scale 4.2.3.12 cpe:/a:ibm:spectrum_scale:4.2.3.12
Ibm Spectrum Scale 4.2.3.13 cpe:/a:ibm:spectrum_scale:4.2.3.13
Ibm Spectrum Scale 4.2.3.14 cpe:/a:ibm:spectrum_scale:4.2.3.14
Ibm Spectrum Scale 4.2.3.15 cpe:/a:ibm:spectrum_scale:4.2.3.15
Ibm Spectrum Scale 4.2.3.17 cpe:/a:ibm:spectrum_scale:4.2.3.17
Ibm Spectrum Scale 5.0.0.0 cpe:/a:ibm:spectrum_scale:5.0.0.0
Ibm Spectrum Scale 5.0.0.1 cpe:/a:ibm:spectrum_scale:5.0.0.1
Ibm Spectrum Scale 5.0.0.2 cpe:/a:ibm:spectrum_scale:5.0.0.2
Ibm Spectrum Scale 5.0.1.0 cpe:/a:ibm:spectrum_scale:5.0.1.0
Ibm Spectrum Scale 5.0.1.1 cpe:/a:ibm:spectrum_scale:5.0.1.1
Ibm Spectrum Scale 5.0.1.2 cpe:/a:ibm:spectrum_scale:5.0.1.2
Ibm Spectrum Scale 5.0.2.0 cpe:/a:ibm:spectrum_scale:5.0.2.0
Ibm Spectrum Scale 5.0.2.1 cpe:/a:ibm:spectrum_scale:5.0.2.1
Ibm Spectrum Scale 5.0.2.2 cpe:/a:ibm:spectrum_scale:5.0.2.2
Ibm Spectrum Scale 5.0.2.3 cpe:/a:ibm:spectrum_scale:5.0.2.3
Ibm Spectrum Scale 5.0.3.2 cpe:/a:ibm:spectrum_scale:5.0.3.2
  1. Ibm (1) Search CVE
    1. Spectrum Scale (35) Search CVE
      1. 4.2.0.0
      2. 4.2.0.1
      3. 4.2.0.2
      4. 4.2.0.3
      5. 4.2.0.4
      6. 4.2.1
      7. 4.2.2.0
      8. 4.2.3.0
      9. 4.2.3.1
      10. 4.2.3.2
      11. 4.2.3.3
      12. 4.2.3.4
      13. 4.2.3.5
      14. 4.2.3.6
      15. 4.2.3.7
      16. 4.2.3.8
      17. 4.2.3.9
      18. 4.2.3.10
      19. 4.2.3.11
      20. 4.2.3.12
      21. 4.2.3.13
      22. 4.2.3.14
      23. 4.2.3.15
      24. 4.2.3.17
      25. 5.0.0.0
      26. 5.0.0.1
      27. 5.0.0.2
      28. 5.0.1.0
      29. 5.0.1.1
      30. 5.0.1.2
      31. 5.0.2.0
      32. 5.0.2.1
      33. 5.0.2.2
      34. 5.0.2.3
      35. 5.0.3.2

CWE

ID Name Description Links
CWE-74 Improper Neutralization of Special Elements in Output Used by a Downstream Component ('Injection') The software constructs all or part of a command, data structure, or record using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify how it is parsed or interpreted when it is sent to a downstream component. CVE

History of changes

Date Event
2019-10-11 14:01
2019-10-09 16:21

New CVE